/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

#ifndef JANA_ECAL_EVENT_H
#define JANA_ECAL_EVENT_H

#include <glib-object.h>
#include <libecal/e-cal-component.h>
#include <libjana/jana-component.h>
#include <libjana/jana-event.h>

#define JANA_ECAL_TYPE_EVENT		(jana_ecal_event_get_type ())
#define JANA_ECAL_EVENT(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
					 JANA_ECAL_TYPE_EVENT, JanaEcalEvent))
#define JANA_ECAL_EVENT_CLASS(vtable)	(G_TYPE_CHECK_CLASS_CAST ((vtable), \
					 JANA_ECAL_TYPE_EVENT, \
					 JanaEcalEventClass))
#define JANA_ECAL_IS_EVENT(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
					 JANA_ECAL_TYPE_EVENT))
#define JANA_ECAL_IS_EVENT_CLASS(vtable)(G_TYPE_CHECK_CLASS_TYPE ((vtable), \
					 JANA_ECAL_TYPE_EVENT))
#define JANA_ECAL_EVENT_GET_CLASS(inst)	(G_TYPE_INSTANCE_GET_CLASS ((inst), \
					 JANA_ECAL_TYPE_EVENT, \
					 JanaEcalEventClass))


typedef struct _JanaEcalEvent JanaEcalEvent;
typedef struct _JanaEcalEventClass JanaEcalEventClass;

/**
 * JanaEcalEvent:
 *
 * The #JanaEcalEvent struct contains only private data.
 */
struct _JanaEcalEvent {
	GObject parent;
};

struct _JanaEcalEventClass {
	GObjectClass parent;
};

GType jana_ecal_event_get_type (void);

JanaEvent *jana_ecal_event_new ();
JanaEvent *jana_ecal_event_new_from_ecalcomp (ECalComponent *event);

#endif /* JANA_ECAL_EVENT_H */

