/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

#ifndef JANA_ECAL_NOTE_H
#define JANA_ECAL_NOTE_H

#include <glib-object.h>
#include <libecal/e-cal-component.h>
#include <libjana/jana-component.h>
#include <libjana/jana-note.h>

#define JANA_ECAL_TYPE_NOTE		(jana_ecal_note_get_type ())
#define JANA_ECAL_NOTE(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
					 JANA_ECAL_TYPE_NOTE, JanaEcalNote))
#define JANA_ECAL_NOTE_CLASS(vtable)	(G_TYPE_CHECK_CLASS_CAST ((vtable), \
					 JANA_ECAL_TYPE_NOTE, \
					 JanaEcalNoteClass))
#define JANA_ECAL_IS_NOTE(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
					 JANA_ECAL_TYPE_NOTE))
#define JANA_ECAL_IS_NOTE_CLASS(vtable)(G_TYPE_CHECK_CLASS_TYPE ((vtable), \
					JANA_ECAL_TYPE_NOTE))
#define JANA_ECAL_NOTE_GET_CLASS(inst)	(G_TYPE_INSTANCE_GET_CLASS ((inst), \
					 JANA_ECAL_TYPE_NOTE, \
					 JanaEcalNoteClass))


typedef struct _JanaEcalNote JanaEcalNote;
typedef struct _JanaEcalNoteClass JanaEcalNoteClass;

/**
 * JanaEcalNote:
 *
 * The #JanaEcalNote struct contains only private data.
 */
struct _JanaEcalNote {
	GObject parent;
};

struct _JanaEcalNoteClass {
	GObjectClass parent;
};

GType jana_ecal_note_get_type (void);

JanaNote *jana_ecal_note_new ();
JanaNote *jana_ecal_note_new_from_ecalcomp (ECalComponent *note);

#endif /* JANA_ECAL_NOTE_H */
